Bug 921258 - [RFE] Add a new override_homedir expansion for the "original value"
Summary: [RFE] Add a new override_homedir expansion for the "original value"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 976273
TreeView+ depends on / blocked
 
Reported: 2013-03-13 19:25 UTC by Jenny Severance
Modified: 2014-06-18 04:01 UTC (History)
3 users (show)

Fixed In Version: sssd-1.10.0-1.el7.alpha1
Doc Type: Enhancement
Doc Text:
Feature: SSSD allows to override or set the home directory for a user with a custom template. This is mostly used in non-UNIX environments, like AD. This RFE adds the possibility to user the original value as stored in LDAP in the expansion. Reason: By using a custom LDAP attribute in the expansion template, the template becomes more flexible, especially for Windows interoperability scenarios. Result (if any): A new template expansion (%o) was added to the home directory templates. When used, the %o expands to the original attribute value coming from LDAP.
Clone Of:
: 976273 (view as bug list)
Environment:
Last Closed: 2014-06-13 12:25:04 UTC


Attachments (Terms of Use)

Description Jenny Severance 2013-03-13 19:25:13 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1805

It would be beneficial to some users if the SSSD had a new expansion value for the override_homedir feature that would expand to the original value coming from LDAP.

Comment 1 Jakub Hrozek 2013-03-26 18:10:22 UTC
Fixed upstream.

Comment 2 Jakub Hrozek 2013-10-04 13:23:33 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 4 Kaushik Banerjee 2013-11-13 09:06:42 UTC
Verified in sssd-1.11.1-2.el7

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: override_homedir_015: override_homedir = %o in [nss]
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'restart_clearing_cache' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent -s sss passwd kb1 | grep '/home/kb1'' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: override_homedir_015: override_homedir = %o in [nss]

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: override_homedir_016: override_homedir = %o in [domain/DOMAIN]
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'restart_clearing_cache' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent -s sss passwd kb1 | grep '/home/kb1'' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: override_homedir_016: override_homedir = %o in [domain/DOMAIN]

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: override_homedir_017: override_homedir = %o in [nss] and %o/%u in [domain/DOMAIN]
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'restart_clearing_cache' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent -s sss passwd kb1 | grep '/home/kb1/kb1'' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: override_homedir_017: override_homedir = %o in [nss] and %o/%u in [domain/DOMAIN]

Comment 5 Ludek Smid 2014-06-13 12:25:04 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.